Stop the active run for one Lead Finder search without changing its future schedule
curl --request POST \
--url https://app.pixie.ai/api/lead-finder/{id}/stop \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.pixie.ai/api/lead-finder/{id}/stop"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.pixie.ai/api/lead-finder/{id}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"surface": "lead-finder",
"searchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disposition": "cancelled",
"run": {
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "cancelled",
"cancelledAt": "<string>",
"triggerRunId": "<string>"
},
"executionCancellation": "confirmed",
"agentSummary": "<string>"
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"surface": "lead-finder",
"searchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disposition": "cancelled",
"run": {
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "cancelled",
"cancelledAt": "<string>",
"triggerRunId": "<string>"
},
"executionCancellation": "confirmed",
"agentSummary": "<string>"
}Lead Finder
Stop the active run for one Lead Finder search without changing its future schedule
Stop the active run for one Lead Finder search without changing its future schedule
POST
/
api
/
lead-finder
/
{id}
/
stop
Stop the active run for one Lead Finder search without changing its future schedule
CLI:
pixie lead-finder stop create --id <id>
Overview
Stop the active run for one Lead Finder search without changing its future schedule This page documentspost /api/lead-finder/{id}/stop. Use the request and response sections on this page for accepted parameters, payload fields, response fields, and authentication behavior.
AI agent notes
- Confirm the operation matches the user’s intent before calling it.
- For write operations, confirm the user intends to change state.
- Surface validation, permission, and not-found errors instead of retrying unchanged.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Lead Finder run stop outcome.
Available options:
lead-finder Available options:
cancelled, already_cancelled, no_active_run Show child attributes
Show child attributes
Available options:
confirmed, not_needed, unconfirmed Was this page helpful?